package com.dayou.mapper;

import com.dayou.dto.history.HisMajorTarget;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface DyoaHistoryMapper {

    Map<String,Object> queryMajorOrder(@Param("id") String id);

    List<HisMajorTarget> queryMajorHouseTarget(@Param("id") String id);

    List<HisMajorTarget> queryMajorLandTarget(@Param("id")String id);

    List<String> selectDyoaMajorOrderIds();

    List<HisMajorTarget> queryMajorProduction(@Param("id") String id);

    List<String> selectDyoaPersonalOrderIds();

    Map<String, Object> queryPersonalOrder(@Param("id") String id);

    List<String> getNewOrderIds(@Param("max") Date max);

    Map<String, Object> getRealAmountInfo(@Param("id") String max);

    List<String> getNewRealAmount(@Param("max") Date max);
}
